public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-strategy/endless-sky/
Date: Tue,  9 Feb 2016 10:56:34 +0000 (UTC)	[thread overview]
Message-ID: <1454842464.dfb673995c07b3e7caa217aa2b186ad88879d56c.monsieurp@gentoo> (raw)

commit:     dfb673995c07b3e7caa217aa2b186ad88879d56c
Author:     Matthew Brewer <tomboy64 <AT> sina <DOT> cn>
AuthorDate: Sat Feb  6 07:37:59 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Feb  7 10:54:24 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfb67399

games-strategy/endless-sky: new ebuild: endless-sky-0.8.11

Package-Manager: portage-2.2.26
RepoMan-Options: --ignore-arches

 games-strategy/endless-sky/Manifest                |  1 +
 .../endless-sky/endless-sky-0.8.11.ebuild          | 52 ++++++++++++++++++++++
 games-strategy/endless-sky/metadata.xml            | 18 ++++++++
 3 files changed, 71 insertions(+)

diff --git a/games-strategy/endless-sky/Manifest b/games-strategy/endless-sky/Manifest
new file mode 100644
index 0000000..a0fd473
--- /dev/null
+++ b/games-strategy/endless-sky/Manifest
@@ -0,0 +1 @@
+DIST endless-sky-0.8.11.tar.gz 42620910 SHA256 8c399194b5d118274f43685b9992419538e5e6c6161621e5b06aef9ca74c4718 SHA512 6f2d1fdae24a9f1f6b67cb806ae88c214ffe0827770b26f6e65da7afa823a6091e5ade7f492e8b52f761650de86b20ce497e6f03f0d9ab0a7791be456b0ea6d2 WHIRLPOOL 3691c2f982a8657388bb00c8eeb78791b404942aa0a3249b1821433646546b4c4b83fb2bb1bfe13c927911ef4ea88cce1add08f01e9b05b2dde8c96df123f55d

diff --git a/games-strategy/endless-sky/endless-sky-0.8.11.ebuild b/games-strategy/endless-sky/endless-sky-0.8.11.ebuild
new file mode 100644
index 0000000..334c372
--- /dev/null
+++ b/games-strategy/endless-sky/endless-sky-0.8.11.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils scons-utils
+
+DESCRIPTION="Space exploration, trading and combat game in the tradition of Terminal Velocity."
+HOMEPAGE="https://endless-sky.github.io"
+SRC_URI="https://github.com/tomboy-64/endless-sky/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="CC-BY-SA-4.0 CC-BY-SA-3.0 GPL-3+ public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="media-libs/glew
+	media-libs/libsdl2
+	media-libs/libjpeg-turbo
+	media-libs/libpng:=
+	media-libs/openal
+	virtual/opengl"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	sed -i 's/"-std=c++0x", "-O3", "-Wall"/"-std=c++0x", "-Wall"/' SConstruct || die
+	sed -i 's#env.Install("$DESTDIR$PREFIX/games", sky)#env.Install("$DESTDIR$PREFIX'"/bin"'", sky)#' SConstruct || die
+	myesconsargs=(
+		CC="$(tc-getCC)"
+		CXX="$(tc-getCXX)"
+		PREFIX="${D}usr/games/"
+	)
+}
+src_compile() {
+	escons
+}
+
+src_install() {
+	escons install
+}
+
+pkg_postinst() {
+	einfo "Endless Sky provides high-res sprites for high-dpi screens."
+	einfo "If you want to use them, download"
+	einfo
+	einfo "   https://github.com/endless-sky/endless-sky-high-dpi/releases"
+	einfo
+	einfo "and extract it to ~/.local/share/endless-sky/plugins/."
+	einfo
+	einfo "   Enjoy."
+}

diff --git a/games-strategy/endless-sky/metadata.xml b/games-strategy/endless-sky/metadata.xml
new file mode 100644
index 0000000..b2639fd
--- /dev/null
+++ b/games-strategy/endless-sky/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>tomboy64@sina.cn</email>
+	</maintainer>
+	<maintainer type="project">
+		<email>games@gentoo.org</email>
+		<name>Gentoo Games</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<longdescription lang="en">
+		Explore other star systems. Earn money by trading, carrying passengers, or completing missions. Use your earnings to buy a better ship or to upgrade the weapons and engines on your current one. Blow up pirates. Take sides in a civil war. Or leave human space behind and hope to find some friendly aliens whose culture is more civilized than your own...
+	</longdescription>
+</pkgmetadata>


             reply	other threads:[~2016-02-09 10:56 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-09 10:56 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-02-09 13:51 [gentoo-commits] repo/gentoo:master commit in: games-strategy/endless-sky/ Ian Delaney
2016-02-09 18:43 Patrice Clement
2016-02-09 20:01 Patrice Clement
2016-03-08 23:44 Ian Delaney
2016-04-13 20:39 Patrice Clement
2016-05-13  8:41 Agostino Sarubbo
2016-05-20  8:50 Patrice Clement
2016-05-31  7:51 Patrice Clement
2017-05-07 17:41 Michał Górny
2017-05-07 17:41 Michał Górny
2017-05-07 17:41 Michał Górny
2017-12-21  1:57 David Seifert
2018-04-03 15:28 Jonas Stein
2024-05-05 23:44 Ionen Wolkens
2024-08-25 23:54 Conrad Kostecki
2025-02-23  0:09 Ionen Wolkens
2025-02-23  0:09 Ionen Wolkens
2025-02-23 12:16 Ionen Wolkens
2025-02-26  8:47 Ionen Wolkens
2025-03-18  1:57 Ionen Wolkens
2025-03-18  3:58 Ionen Wolkens

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1454842464.dfb673995c07b3e7caa217aa2b186ad88879d56c.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox